libzypp: zyppng::LazyMediaHandle< ProvideType > Class Template Reference

libzypp 17.38.14

zyppng::LazyMediaHandle< ProvideType > Class Template Reference

`#include <zypp-media/ng/lazymediahandle.h>`

## Classes
struct | Data

## Public Types
using | MediaHandle = typename ProvideType::MediaHandle
using | ParentType = ProvideType

## Public Member Functions
| LazyMediaHandle (Ref< ProvideType > provider, zypp::MirroredOrigin origin, ProvideMediaSpec spec)
| LazyMediaHandle (const LazyMediaHandle &)=default
| LazyMediaHandle (LazyMediaHandle &&)=default
LazyMediaHandle & | operator= (const LazyMediaHandle &)=default
LazyMediaHandle & | operator= (LazyMediaHandle &&)=default
const Ref< ProvideType > & | parent () const
zypp::Url | baseUrl () const
const zypp::MirroredOrigin & | origin () const
std::optional< MediaHandle > | handle () const
const ProvideMediaSpec & | spec () const
const std::optional< zypp::Pathname > & | localPath () const
bool | attached () const

## Public Attributes
friend | ProvideType

## Private Attributes
Ref< Data > | _sharedData

## Detailed Description

template<class ProvideType>
class zyppng::LazyMediaHandle< ProvideType >

Definition at line 20 of file lazymediahandle.h.

## Member Typedef Documentation

## ◆ MediaHandle

template<class ProvideType>

using zyppng::LazyMediaHandle< ProvideType >::MediaHandle = typename ProvideType::MediaHandle

Definition at line 22 of file lazymediahandle.h.

## ◆ ParentType

template<class ProvideType>

using zyppng::LazyMediaHandle< ProvideType >::ParentType = ProvideType

Definition at line 23 of file lazymediahandle.h.

## Constructor & Destructor Documentation

## ◆ LazyMediaHandle() [1/3]

template<class ProvideType>

zyppng::LazyMediaHandle< ProvideType >::LazyMediaHandle | ( | Ref< ProvideType > | provider,
|  | zypp::MirroredOrigin | origin,
|  | ProvideMediaSpec | spec )
| inline

Definition at line 27 of file lazymediahandle.h.

## ◆ LazyMediaHandle() [2/3]

template<class ProvideType>

zyppng::LazyMediaHandle< ProvideType >::LazyMediaHandle | ( | const LazyMediaHandle< ProvideType > & |  | ) |
| default

## ◆ LazyMediaHandle() [3/3]

template<class ProvideType>

zyppng::LazyMediaHandle< ProvideType >::LazyMediaHandle | ( | LazyMediaHandle< ProvideType > && |  | ) |
| default

## Member Function Documentation

## ◆ operator=() [1/2]

template<class ProvideType>

LazyMediaHandle & zyppng::LazyMediaHandle< ProvideType >::operator= | ( | const LazyMediaHandle< ProvideType > & |  | ) |
| default

## ◆ operator=() [2/2]

template<class ProvideType>

LazyMediaHandle & zyppng::LazyMediaHandle< ProvideType >::operator= | ( | LazyMediaHandle< ProvideType > && |  | ) |
| default

## ◆ parent()

template<class ProvideType>

const Ref< ProvideType > & zyppng::LazyMediaHandle< ProvideType >::parent | ( |  | ) | const
| inline

Definition at line 41 of file lazymediahandle.h.

## ◆ baseUrl()

template<class ProvideType>

zypp::Url zyppng::LazyMediaHandle< ProvideType >::baseUrl | ( |  | ) | const
| inline

Returns the first mirror used for this lazy handle, otherwise returns a empty url.

Definition at line 49 of file lazymediahandle.h.

## ◆ origin()

template<class ProvideType>

const zypp::MirroredOrigin & zyppng::LazyMediaHandle< ProvideType >::origin | ( |  | ) | const
| inline

Definition at line 57 of file lazymediahandle.h.

## ◆ handle()

template<class ProvideType>

std::optional< MediaHandle > zyppng::LazyMediaHandle< ProvideType >::handle | ( |  | ) | const
| inline

Definition at line 61 of file lazymediahandle.h.

## ◆ spec()

template<class ProvideType>

const ProvideMediaSpec & zyppng::LazyMediaHandle< ProvideType >::spec | ( |  | ) | const
| inline

Definition at line 65 of file lazymediahandle.h.

## ◆ localPath()

template<class ProvideType>

const std::optional< zypp::Pathname > & zyppng::LazyMediaHandle< ProvideType >::localPath | ( |  | ) | const
| inline

Definition at line 69 of file lazymediahandle.h.

## ◆ attached()

template<class ProvideType>

bool zyppng::LazyMediaHandle< ProvideType >::attached | ( |  | ) | const
| inline

Definition at line 77 of file lazymediahandle.h.

## Member Data Documentation

## ◆ ProvideType

template<class ProvideType>

friend zyppng::LazyMediaHandle< ProvideType >::ProvideType

Definition at line 25 of file lazymediahandle.h.

## ◆ _sharedData

template<class ProvideType>

Ref<Data> zyppng::LazyMediaHandle< ProvideType >::_sharedData
| private

Definition at line 99 of file lazymediahandle.h.

The documentation for this class was generated from the following file:

- zypp-media/ng/lazymediahandle.h